From d58c04d661ca415da41bc09c52bbce2bdae93cc1 Mon Sep 17 00:00:00 2001
From: Olav Fosse <post@olavfosse.no>
Date: Fri, 19 May 2023 20:33:28 +0200
Subject: [PATCH] Prevent python-inferior-mode from using $PAGER

---
 lisp/progmodes/python.el | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
index 4f57eda3cfc..9304479094e 100644
--- a/lisp/progmodes/python.el
+++ b/lisp/progmodes/python.el
@@ -2563,8 +2563,15 @@ python-shell-internal-buffer-name
   :type 'string
   :safe 'stringp)
 
-(defcustom python-shell-interpreter-args "-i"
-  "Default arguments for the Python interpreter."
+(defcustom python-shell-interpreter-args "-i -c \"import pydoc;pydoc.pager = pydoc.plainpager;del pydoc\""
+  "Default arguments for the Python interpreter.
+
+-c \"import pydoc;pydoc.pager = pydoc.plainpager;del pydoc\"
+makes it so that Python will print large messages directly to the
+buffer, as opposed to using $PAGER. This is useful because $PAGER
+is typically set to an interative program, such as less(1), which
+will not work properly when ran inside `inferior-python-mode'.
+"
   :type 'string)
 
 (defcustom python-shell-interpreter-interactive-arg "-i"
-- 
2.39.2

